GearmanTask::taskNumerator
GearmanTask::uuid
GearmanTask
PHP Manual

# GearmanTask::unique

(PECL gearman >= 0.6.0)

GearmanTask::unique — Get the unique identifier for a task

### Description

public string GearmanTask::unique ( void )

Returns the unique identifier for this task. This is assigned by the GearmanClient, as opposed to the job handle which is set by the Gearman job server.

### Parameters

This function has no parameters.

### Return Values

The unique identifier, or `FALSE` if no identifier is assigned.

### See Also

- GearmanClient::do() - Run a single task and return a result [deprecated]
- GearmanClient::addTask() - Add a task to be run in parallel

GearmanTask::taskNumerator
GearmanTask::uuid
GearmanTask
PHP Manual